%define maj 0
%define min 9b
%define rev 20040421

Summary:     A tool to display dialog boxes from shell scripts
Name:        dialog
Version:     %{maj}.%{min}
Release:     %{rev}.pp
License:     GPL
Group:       Console/Utilities
Source0:     ftp://ftp.us.debian.org/debian/pool/main/d/%{name}/%{name}-%{version}-%{rev}.tar.gz
URL:         http://hightek.org/%{name}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc ncurses perl
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/grep /usr/bin/patch /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel ncurses-devel gettext
ExclusiveOS: linux

%description
Dialog lets you to present a variety of questions or display
messages using dialog boxes from a shell script (or any scripting
language). These types of dialog boxes are implemented: yes/no
box, menu box, input box, message box, text box, info box, gauge
box, checklist box, fileselection box, and radiolist box.


%package devel
Group:       Development/Libraries
Summary:     Development tools for %{name}
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the static libraries and
header files for developing software using %{name}.


%prep
%setup -q -n %{name}-%{version}-%{rev}


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--libexecdir=/usr/lib   \
	--mandir=/usr/share/man \
	--enable-nls            \
	--with-libtool          \
	--with-ncurses          \
	--enable-widec
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
chmod a+x $RPM_BUILD_ROOT/usr/lib/*.so*


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES COPYING README VERSION
%doc %dir samples
/usr/bin/*
/usr/lib/*.so.*
/usr/share/locale/*
/usr/share/man/man1/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/share/man/man3/*


%changelog
* Mon May 03 2004 peter.pramberger@1012surf.net
- created

